v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/lots/manufacturing-lots/{id}
Deprecated: Retrieves manufacturing lot by lot ID. Rights: LotManagementGet.
Request
Path Parameters
-
id(required): string
ID of the lot.
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : Manufacturing Lot v1.0
Type:
objectTitle:
Manufacturing Lot v1.0Manufacturing lot details.
Show Source
-
blindedLotId: string
(uuid)
Title:
Blinded Lot IDBlinded lot ID. -
doNotCount: number
(BigDecimal)
Title:
Do Not CountDo Not Count (DNC) days.Example:10 -
doNotShip: number
(BigDecimal)
Title:
Do Not ShipDo Not Ship (DNS) days.Example:10 -
expirationDate: string
(date-time)
Title:
Expiration DateExpiration date. -
lotId: string
(uuid)
Title:
Lot IDLot ID. -
lotNumber: string
Title:
Lot NumberLot number.Example:Lot1001 -
manufacturingLotNumber: string
Title:
Manufacturing Lot NumberManufacturing lot number.Example:Mlot1001
403 Response
The study identifier does not match any study identifiers in Clinical One
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object